Multivariate Pattern Analysis in Python

# mvpa2.mappers.wavelet.WaveletPacketMapper

class `mvpa2.mappers.wavelet.``WaveletPacketMapper`(level=None, **kwargs)

  Convert signal into an overcomplete representaion using Wavelet packet

  Notes

  Available conditional attributes:

  - `calling_time+`: None
  - `raw_results`: None
  - `trained_dataset`: None
  - `trained_nsamples+`: None
  - `trained_targets+`: None
  - `training_time+`: None

  (Conditional attributes enabled by default suffixed with `+`)

  Attributes

  `auto_train` | Whether the Learner performs automatic trainingwhen called untrained.
  `descr` | Description of the object if any
  `force_train` | Whether the Learner enforces training upon everycalled.
  `is_trained` | Whether the Learner is currently trained.
  `pass_attr` | Which attributes of the dataset or self.ca to pass into result dataset upon call
  `postproc` | Node to perform post-processing of results
  `space` | Processing space name of this node

  Methods

  Initialize WaveletPacketMapper mapper

  Parameters:

  level : int or None

  > What level to decompose at. If ‘None’ data for all levels is provided, but due to different sizes, they are placed in 1D row.

  enable_ca : None or list of str

  > Names of the conditional attributes which should be enabled in addition to the default ones

  disable_ca : None or list of str

  > Names of the conditional attributes which should be disabled

  dim : int or tuple of int

  > dimensions to work across (for now just scalar value, ie 1D transformation) is supported

  wavelet : str

  > one from the families available withing pywt package

  mode : str

  > periodization mode

  maxlevel : int or None

  > number of levels to use. If None - automatically selected by pywt

  Attributes

  `auto_train` | Whether the Learner performs automatic trainingwhen called untrained.
  `descr` | Description of the object if any
  `force_train` | Whether the Learner enforces training upon everycalled.
  `is_trained` | Whether the Learner is currently trained.
  `pass_attr` | Which attributes of the dataset or self.ca to pass into result dataset upon call
  `postproc` | Node to perform post-processing of results
  `space` | Processing space name of this node

  Methods